package com.microservices.system.service;

import com.microservices.system.api.domain.SysRole;
import com.microservices.system.domain.SysRoleMenu;

import java.util.List;

/**
 * @author otto
 */
public interface ISysRoleMenuService {
    /**
     * 查询菜单使用数量
     *
     * @param menuId 菜单Id
     * @return 使用数量
     */
    int checkMenuExistRole(Long menuId);

    /**
     * 删除角色与菜单关联
     *
     * @param roleId 角色Id
     */
    void deleteRoleMenuByRoleId(Long roleId);

    /**
     * 批量新增角色菜单信息
     *
     * @param role 角色信息
     * @param list 角色菜单列表
     * @return 新增结果
     */
    int batchRoleMenu(SysRole role, List<SysRoleMenu> list);

    /**
     * 批量删除角色菜单关联信息
     *
     * @param roleIds 角色Id列表
     */
    void deleteRoleMenu(Long[] roleIds);

    /**
     * 根据菜单Id删除角色菜单权限缓存
     */
    void deleteRoleMenuCacheByMenuId();
}
